Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159079 - anaconda crash "md device not found" on /dev/i2o devices
Summary: anaconda crash "md device not found" on /dev/i2o devices
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-05-29 00:28 UTC by Warren Togami
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-15 16:39:19 UTC


Attachments (Terms of Use)

Description Warren Togami 2005-05-29 00:28:46 UTC
Anaconda crashed while attempting an install of rawhide 20050528 on software
RAID using two I2O arrays /dev/i2o/hda and /dev/i2o/hdb as disks.

http://people.redhat.com/wtogami/temp/anacdump-i2o-md.txt

# partition table of /dev/i2o/hda (identical on /dev/i2o/hdb)
# (hda1 -> md1) /boot
# (hda2 -> md2) swap
# (hda3 -> md0) /

unit: sectors

/dev/i2o/hda1 : start=       63, size=   514017, Id=fd, bootable
/dev/i2o/hda2 : start=   514080, size=  1012095, Id=fd
/dev/i2o/hda3 : start=  1526175, size= 70236180, Id=fd
/dev/i2o/hda4 : start=        0, size=        0, Id= 0

Comment 1 Ronny Buchmann 2005-05-29 23:07:29 UTC
I have the same crash with existing arrays (build from regular ide disk partitions).

partedUtils.DiskSet.mdList is empty for here

I solved that by starting the raids in fsset.py:mdadmConf().

RCS file: /usr/local/CVS/anaconda/fsset.py,v
retrieving revision 1.253.2.1
diff -u -p -u -r1.253.2.1 fsset.py
--- fsset.py    25 May 2005 18:53:39 -0000      1.253.2.1
+++ fsset.py    29 May 2005 22:56:12 -0000
@@ -1123,6 +1123,9 @@ class FileSystemSet:
     def mdadmConf(self):
         raident = 0

+        diskset = partedUtils.DiskSet()
+        diskset.startAllRaid()
+
         cf = """
 # mdadm.conf written out by anaconda
 DEVICE partitions
@@ -1135,6 +1138,7 @@ MAILADDR root
             raident +=1
             cf = cf + ent.device.mdadmLine()

+        diskset.stopAllRaid()
         if raident > 0:
             return cf
         return

I assume there may be a better way to fix that.
I think that should be targeted at FC4.

Comment 2 Chris Lumens 2005-05-31 17:18:32 UTC
Ronny - can you explain in more detail what you have for partitioning before
starting?

Comment 3 Chris Lumens 2005-05-31 21:02:00 UTC
Applied a fix for Ronny's problem.  Warren, please test with FC4 at your leisure
and advise if it works for you or not.

Comment 4 Rahul Sundaram 2005-08-15 16:39:19 UTC

Warren, 

Kindly reopen if this one is not fixed yet


Note You need to log in before you can comment on or make changes to this bug.